2 Replies Latest reply on May 30, 2013 5:40 PM by Max Rydahl Andersen

    Can not install jboss tools in eclipse - help!

    Tanya Ruttenberg Expert

      Because I work behind a firewall and because all contact with the internet is restricted to internet explorer, I can not take advantage of any of the handy tools you normally use to install software.

       

      I can not seem to find the right combination of eclipse and jboss tools versions so that I can install jboss tools!

       

      I have the following eclipse packages now on my PC

       

      eclipse-dsl-kepler-RC1-win32.zip

      eclipse-jee-juno-SR2-win32.zip

      eclipse-standard-kepler-RC1-win32.zip

       

      I don't particularly need DSL, but "standard" didnt' seem to have everything I wanted.  I'm used to downloading the Jave EE version of eclipse for developers.

       

      I have following jboss tools packages on my PC

       

      jbosstools-3.3.2.Final.aggregate-Update-2013-01-18_18-03-25-H229.zip

      jbosstools-4.0.1.Final.aggregate-Update-2013-03-27_16-17-05-B340.zip

       

      I install these via the Install New Software.... feature where you select the archive and eclipse installs the software.

       

      The most recent thing I tried was

      eclipse-jee-juno-SR2-win32.zip

      jbosstools-3.3.2.Final.aggregate-Update-2013-01-18_18-03-25-H229.zip

       

      From what I've read these both seemed stable.  But I got this error

       

      Cannot complete the install because one or more required items could not be found.

        Software being installed: org.jboss.tools.maven.project.examples.feature.source.feature.group 1.3.2.v20130112-0608-H143-Final

        Missing requirement: JBoss Maven Project Examples 1.3.2.v20130112-0608-H143-Final (org.jboss.tools.maven.project.examples.feature.feature.group 1.3.2.v20130112-0608-H143-Final) requires 'org.eclipse.m2e.feature.feature.group 0.13.0' but it could not be found

        Cannot satisfy dependency:

          From: org.jboss.tools.maven.project.examples.feature.source.feature.group 1.3.2.v20130112-0608-H143-Final

          To: org.jboss.tools.maven.project.examples.feature.feature.group [1.3.2.v20130112-0608-H143-Final]

       

       

      So I tried 

      eclipse-jee-juno-SR2-win32.zip

      jbosstools-4.0.1.Final.aggregate-Update-2013-03-27_16-17-05-B340.zip

       

      and got this

      Cannot complete the install because one or more required items could not be found.

        Software being installed: JBoss Maven Portlet Configurator 1.4.0.Final-v20130326-2027-B145 (org.jboss.tools.maven.portlet.feature.feature.group 1.4.0.Final-v20130326-2027-B145)

        Missing requirement: JBoss Maven Portlet Configurator 1.4.0.Final-v20130326-2027-B145 (org.jboss.tools.maven.portlet.feature.feature.group 1.4.0.Final-v20130326-2027-B145) requires 'org.eclipse.m2e.feature.feature.group 1.1.0' but it could not be found

       

       

      I've tried JBoss dev studio and every thing else I can think of.   Nothing works for me!! 

       

      This is frustrating, but unfortunately not unexpected. I love eclipse, but I think I'm cursed.

       

      And now I don't have a workable eclipse environment. :-(

       

      (one more thing -- somehow eclipse juno was working earlier in the week, but it was so slow I decided to upgrade to Kepler, but then everything started breaking)

       

      Thanks in advance for the help.